Page MenuHomeFreeBSD

security/archlinux-keyring: new port
ClosedPublic

Authored by vishwin on Dec 23 2021, 2:46 AM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, May 7, 12:36 PM
Unknown Object (File)
Tue, Apr 23, 6:05 PM
Unknown Object (File)
Mon, Apr 22, 3:39 AM
Unknown Object (File)
Apr 11 2024, 12:57 PM
Unknown Object (File)
Feb 26 2024, 6:51 PM
Unknown Object (File)
Feb 1 2024, 3:36 PM
Unknown Object (File)
Feb 1 2024, 3:36 PM
Unknown Object (File)
Feb 1 2024, 3:35 PM
Subscribers

Details

Summary

Arch Linux PGP keyring, used with sysutils/pacman

Test Plan

This port only installs three files. Actual use is with pacman

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

LGTM.

security/archlinux-keyring/Makefile
4

Maybe add security to CATEGORIES too?

security/archlinux-keyring/pkg-descr
2

Missing dot at the end of the sentence.

This revision is now accepted and ready to land.Dec 23 2021, 6:58 AM
security/archlinux-keyring/Makefile
4

Oops! Forgot to change this to security when I moved it out of misc in my overlay.

Silly question: why do we need this?

Currently dogfooding an update to sysutils/archlinux that includes a flavour for managing a vanilla Arch Linux userland for Linuxulator use. Apart from adding some bits in pkg-message it's pretty much ready for wider testing.

fix CATEGORIES, add pkg-message, clarify pkg-descr

This revision now requires review to proceed.Dec 24 2021, 4:53 PM
vishwin added inline comments.
security/archlinux-keyring/pkg-message
4

Initial message to populate the keyring lives in sysutils/pacman (review to come)

This revision was not accepted when it landed; it landed in state Needs Review.Dec 24 2021, 5:21 PM
This revision was automatically updated to reflect the committed changes.